Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1999788

Summary: ntfs-3g: Multiple buffer overflows in all versions [fedora-all]
Product: [Fedora] Fedora Reporter: Pedro Sampaio <psampaio>
Component: ntfs-3gAssignee: Tom "spot" Callaway <spotrh>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: 35CC: awilliam, ngompa13, rjones, spotrh
Target Milestone: ---Keywords: Reopened, Security, SecurityTracking
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: AcceptedFreezeException
Fixed In Version: ntfs-3g-2021.8.22-1.fc34 ntfs-3g-2021.8.22-1.fc33 ntfs-3g-2021.8.22-1.fc35 Doc Type: No Doc Update
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-09-07 19:07:26 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1891954, 1999787    

Description Pedro Sampaio 2021-08-31 18:06:46 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Pedro Sampaio 2021-08-31 18:06:49 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=high

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1999787,1999788

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Neal Gompa 2021-09-02 20:51:09 UTC
Change to 35 for blocker review/FE process

Comment 3 Fedora Update System 2021-09-02 20:55:33 UTC
FEDORA-2021-4dd269a76c has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-4dd269a76c

Comment 4 Fedora Blocker Bugs Application 2021-09-02 20:55:42 UTC
Proposed as a Freeze Exception for 35-beta by Fedora user ngompa using the blocker tracking app because:

 Fixing a large number of high CVEs for handling NTFS filesystems is a good idea for the beta release.

Comment 5 Fedora Update System 2021-09-02 20:58:02 UTC
FEDORA-2021-c0235d9d79 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-c0235d9d79

Comment 6 Fedora Update System 2021-09-02 22:35:56 UTC
FEDORA-2021-38d1b07839 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-38d1b07839

Comment 7 Fedora Update System 2021-09-03 00:05:44 UTC
FEDORA-2021-c0235d9d79 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-c0235d9d79`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-c0235d9d79

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-09-03 00:31:12 UTC
FEDORA-2021-38d1b07839 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-38d1b07839`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-38d1b07839

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-09-03 15:25:14 UTC
FEDORA-2021-4dd269a76c has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-4dd269a76c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-4dd269a76c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-09-04 19:31:58 UTC
FEDORA-2021-c0235d9d79 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2021-09-07 16:26:37 UTC
FEDORA-2021-38d1b07839 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Adam Williamson 2021-09-07 17:01:03 UTC
Re-opening for F35.

Comment 13 Adam Williamson 2021-09-07 17:55:26 UTC
+3 in https://pagure.io/fedora-qa/blocker-review/issue/428 , marking accepted FE.

Comment 14 Fedora Update System 2021-09-07 19:07:26 UTC
FEDORA-2021-4dd269a76c has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.